Bug 2075614 - Any GTK4 app will crash on startup on Fedora 36 beta with Intel i915-based graphics
Summary: Any GTK4 app will crash on startup on Fedora 36 beta with Intel i915-based gr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 36
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-14 17:26 UTC by Jean-François Fortin Tam
Modified: 2023-05-25 15:22 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 15:22:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
freedesktop.org Gitlab mesa mesa issues 6057 0 None opened Crashes GTK4 applications with a segfault on Intel G33 graphics (Intel 82G33/G31 Express) 2022-04-14 17:28:13 UTC

Description Jean-François Fortin Tam 2022-04-14 17:26:42 UTC
On i915-based machines, any GTK4 app will crash on startup. I've encountered this on is a family member's desktop computer, a Dell Inspiron 530n, that sports an "Intel G33" graphics card alongside its Core2 Quad Q9300 CPU, according to GNOME Control Center in Fedora 35 (lspci says it's an Intel 82G33/G31 Express Integrated Graphics chip).

I saw that there is a Mesa 22.0.1 update scheduled down the pipe at https://bodhi.fedoraproject.org/updates/FEDORA-2022-4120f31977 but I *don't know* if the issue is actually fixed by that vs Mesa 21.x. If we are lucky it may be, if we are not then... it seems anyone running i915-based graphic drivers (and that probably means a _lot_ of people) will find Fedora 36 to be unusable because of the much more widespread presence of GTK4 (instead of GTK3) apps, that will refuse to run.

This was previously reported and partially troubleshot at (in chronological order):

* https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5096
* https://gitlab.gnome.org/GNOME/gtk/-/issues/4706
* https://gitlab.freedesktop.org/mesa/mesa/-/issues/6057
* https://ask.fedoraproject.org/t/how-do-i-tell-fedora-to-use-the-i915g-driver-instead-of-i915/20618

I'm filing this here now "just in case" this flew under the radar and might turn out to be a release blocker.

Perhaps you have the means to test yourself (certainly someone in Red Hat's desktop/graphics team has older machines laying around) before F36's final release; I unfortunately cannot do so more extensively myself because, in part, of Anaconda's bug #2075608. I'm out of options at this point, and my current schedule means I won't be able to re-test that machine until at least mid-May, I think, so leaving it in your hands. I'm hoping the F36 final release liveUSB image has a potential fix for this (and the Anaconda issue) included, be it Mesa 22.0.1 or possibly other things on top, I don't know.

Comment 1 Ben Cotton 2023-04-25 17:01:03 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Ludek Smid 2023-05-25 15:22:47 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.